Package io.papermc.paper.event.world

# Class WorldGameRuleChangeEvent

java.lang.Object
org.bukkit.event.Event
org.bukkit.event.world.WorldEvent
io.papermc.paper.event.world.WorldGameRuleChangeEvent

All Implemented Interfaces:
  `Cancellable`

public class WorldGameRuleChangeEvent extends WorldEvent implements Cancellable
Called when a world's gamerule is changed, either by command or by api.

## Nested Class Summary

## Nested classes/interfaces inherited from class org.bukkit.event.Event

`Event.Result`

## Constructor Summary

Constructors
Constructor
Description
`WorldGameRuleChangeEvent(@NotNull World world, @Nullable CommandSender commandSender, @NotNull GameRule<?> gameRule, @NotNull String value)`

## Method Summary

Modifier and Type
Method
Description
`@Nullable CommandSender`
`getCommandSender()`
Gets the command sender associated with this event.
`@NotNull GameRule<?>`
`getGameRule()`
Gets the game rule associated with this event.
`static @NotNull HandlerList`
`getHandlerList()`
`@NotNull HandlerList`
`getHandlers()`
`@NotNull String`
`getValue()`
Gets the new value of the gamerule.
`boolean`
`isCancelled()`
Gets the cancellation state of this event.
`void`
`setCancelled(boolean cancel)`
Sets the cancellation state of this event.
`void`
`setValue(@NotNull String value)`
Sets the new value of this gamerule.

### Methods inherited from class org.bukkit.event.world.WorldEvent

`getWorld`

### Methods inherited from class org.bukkit.event.Event

`callEvent, getEventName, isAsynchronous`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### WorldGameRuleChangeEvent

public WorldGameRuleChangeEvent(@NotNull @NotNull World world, @Nullable @Nullable CommandSender commandSender, @NotNull @NotNull GameRule<?> gameRule, @NotNull @NotNull String value)

## Method Details

### getCommandSender

@Nullable public @Nullable CommandSender getCommandSender()
Gets the command sender associated with this event.

Returns:
  `null` if the gamerule was changed via api, otherwise the `CommandSender`.

### getGameRule

@NotNull public @NotNull GameRule<?> getGameRule()
Gets the game rule associated with this event.

Returns:
  the gamerule being changed.

### getValue

@NotNull public @NotNull String getValue()
Gets the new value of the gamerule.

Returns:
  the new value of the gamerule.

### setValue

public void setValue(@NotNull @NotNull String value)
Sets the new value of this gamerule.

Parameters:
  `value` - the new value of the gamerule.

### isCancelled

public boolean isCancelled()
Description copied from interface: `Cancellable`
Gets the cancellation state of this event. A cancelled event will not be executed in the server, but will still pass to other plugins

Specified by:
  `isCancelled` in interface `Cancellable`
Returns:
  true if this event is cancelled

### setCancelled

public void setCancelled(boolean cancel)
Description copied from interface: `Cancellable`
Sets the cancellation state of this event. A cancelled event will not be executed in the server, but will still pass to other plugins.

Specified by:
  `setCancelled` in interface `Cancellable`
Parameters:
  `cancel` - true if you wish to cancel this event

### getHandlers

@NotNull public @NotNull HandlerList getHandlers()

Specified by:
  `getHandlers` in class `Event`

### getHandlerList

@NotNull public static @NotNull HandlerList getHandlerList()